Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.pdf
Interface PDFEventProducer

All Superinterfaces:
  EventProducer

public interface PDFEventProducer
extends EventProducer

Event producer interface for events generated by the PDF renderer.

Nested Class Summary
`static class` | `PDFEventProducer.Provider` Provider class for the event producer.

Method Summary
`void` | `nonFullyResolvedLinkTargets(java.lang.Object source, int count)` Some link targets haven't been fully resolved.
`void` | `nonStandardStructureType(java.lang.Object source, java.lang.String fo, java.lang.String type, java.lang.String fallback)` Custom structure type is not standard as per the PDF reference.

Method Detail

### nonFullyResolvedLinkTargets

    public void nonFullyResolvedLinkTargets(java.lang.Object source,
                                            int count)

  Some link targets haven't been fully resolved.

  Parameters:
    `source` - the event source
    `count` - the number of unresolved links
  Event severity level:
    WARN

### nonStandardStructureType

    public void nonStandardStructureType(java.lang.Object source,
                                         java.lang.String fo,
                                         java.lang.String type,
                                         java.lang.String fallback)

  Custom structure type is not standard as per the PDF reference.

  Parameters:
    `source` - the event source
    `fo` - the local name of the formatting object having the custom type
    `type` - custom structure type
    `fallback` - default structure type used as a fallback
  Event severity level:
    WARN

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.